.. _changelog:

Historique des versions
=======================


* :release:`0.16.1 <2026-08-12>`
* :bug:`145` Les paquets DEB et RPM respectent désormais les politiques de
  *packaging* Debian et RPM. Les units *systemd* sont installées dans
  :file:`/usr/lib/systemd/system` et non plus dans un chemin aliasé, la
  dépendance obsolète à ``unzip`` est supprimée, et les permissions des
  répertoires de configuration et de données sont corrigées.
* :bug:`145` Le fichier d'exemple de configuration n'était livré que dans le
  paquet RPM, et la MIB SNMP était installée dans
  :file:`/usr/share/waarp-gateway/`, un répertoire qu'aucun paquet Waarp
  Transfer ne possède. Les deux fichiers sont désormais livrés dans
  :file:`/usr/share/waarp-transfer/` par les deux formats.
* :bug:`145` Les utilitaires ``get-remote`` et ``updateconf``, qui sont des
  binaires compilés, quittent :file:`/usr/share/waarp-transfer` pour
  :file:`/usr/libexec/waarp-transfer` (RPM) et :file:`/usr/lib/waarp-transfer`
  (DEB). Les anciens chemins restent fonctionnels **jusqu'à la version 1.0**
  grâce à un script de compatibilité qui relaie l'appel en affichant un
  avertissement. Préférez désormais invoquer ces programmes par leur simple
  nom, forme valable sur tous les types de déploiement. Voir
  :ref:`install-deprecated-paths`.
* :bug:`145` Les mises à jour RPM n'écrasent plus le fichier de configuration
  modifié par l'administrateur.
* :bug:`145` Le service ``waarp-transferd-get-remote`` n'avait aucun moyen de
  recevoir la variable ``WAARP_TRANSFER_ADDRESS`` et n'avait donc jamais pu
  s'exécuter. Elle se renseigne désormais dans
  :file:`/etc/default/waarp-transferd-get-remote`.
* :support:`145` L'installation d'un paquet ne redémarre plus le service. La
  base de données doit être migrée avant que le démon ne tourne contre elle ;
  jusqu'ici une mise à jour pouvait relancer le service sur un schéma qu'il ne
  comprenait plus.
* :bug:`144` Corrige l'initialisation de la connexion à la base de données. 

* :release:`0.16.0 <2026-07-24>`
* :support:`137` Mise à niveau de la dépendance "waarp-gateway" à la version 0.16.0
* :feature:`141` Les images OCI exécutent les migrations de base de données vant
  le langement de Transfer.
* :fix:`139` Les images OCI sont maintenant toujours basées sur la dernière
  version stable de Debian.
* :feature:`140` Les images OCI utilisent des utilisateurs non prévilégiés.

* :release:`0.15.9 <2026-06-18>`
* :support:`137` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.8

* :release:`0.15.8 <2026-06-09>`
* :support:`136` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.8

* :release:`0.15.7 <2026-06-04>`
* :support:`135` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.7

* :release:`0.15.6 <2026-05-12>`
* :support:`134` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.6
* :support:`-` Le certificat TLS du fichier d'exemple est désormais valable
  pour une durée de 100 ans et ne change plus d'une release à l'autre.
  Par ailleurs, les serveurs locaux du fichier d'exemple écoute désormais sur
  l'interface de *loopback* (127.0.0.1) au lieu de toutes les interfaces (0.0.0.0).
* :bug:`133` Le point d'entrée du container ajoute les dossiers bin et share
  à la liste des dossiers dans lesquels sont recherchés les executables.
* :bug:`133` Le point d'entrée du container est compatible avec Manager 1.0+.
* :bug:`132` Le point d'entrée du container pouvait engendrer un interblocage
  (*deadlock*) au démarrage sous certaines conditions.

* :release:`0.15.4 <2026-05-05>`
* :support:`131` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.5

* :release:`0.15.4 <2026-04-01>`
* :support:`130` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.4
* :bug:`129` Les variables d'environnement ``WAARP_CONFIG_FILE`` et ``WAARP_CONFIG_DIR``
  introduites en version 0.14.2 de Waarp Gateway sont désormais correctement peuplées
  dans Waarp Transfer.

* :release:`0.15.3 <2026-03-26>`
* :support:`128` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.3
* :support:`127` Similairement à Waarp Gateway, Waarp Transfer n'inclue désormais
  plus de serveurs et clients R66 et R66-TLS par défaut car ceux-ci causaient des
  conflits avec les configurations déployées depuis Waarp Manager.

* :release:`0.15.2 <2026-03-16>`
* :support:`125` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.2

* :release:`0.15.0 <2026-02-27>`
* :support:`124` Mise à niveau de la dépendance "waarp-gateway" à la version 0.15.0
* :fix:`116` Correction d'un message d'erreur trompeur lorsque l'adresse REST
  était manquante dans une commande terminal.

* :release:`0.14.2 <2026-02-13>`
* :support:`123` Mise à niveau de la dépendance "waarp-gateway" à la version 0.14.2
* :support:`121` Ajout d'une unité de service pour le fonctionement en filewatcher.

* :release:`0.14.1 <2026-01-14>`
* :support:`118` Mise à niveau de la dépendance "waarp-gateway" à la version 0.14.1
* :support:`117` Ajout de l'utilitaire "get-remote" au packaging.

* :release:`0.14.0 <2025-12-19>`
* :support:`114` Mise à niveau de la dépendance "waarp-gateway" à la version 0.14.0

* :release:`0.13.3 <2025-11-06>`
* :support:`113` Mise à niveau de la dépendance "waarp-gateway" à la version 0.13.3
* :bug:`112` Les fichiers et dossiers créés par waarp-transferd avaient les
  droits UNIX 000. les aleurs `DirPerms` et `FilePerms` du fichier de
  configuration sont maintenant prises en compte.

* :release:`0.13.2 <2025-10-20>`
* :support:`111` Mise à niveau de la dépendance "waarp-gateway" à la version 0.13.2

* :release:`0.13.0 <2025-10-13>`
* :support:`110` Mise à niveau de la dépendance "waarp-gateway" à la version 0.13.1
* :support:`109` Ajout d'un fichier d'exemple de configuration livré avec les
  packages Transfer.

* :release:`0.13.0 <2025-10-03>`
* :support:`108` Mise à niveau de la dépendance "waarp-gateway" à la version 0.13.0
* :bug:`-` Added the missing ``waarp-transferd sql`` command that was added in the
  0.12.9 version of Waarp Gateway but was missing from Waarp Transfer.

* :release:`0.12.11 <2025-09-25>`
* :support:`107` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.11

* :release:`0.12.10 <2025-09-19>`
* :support:`106` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.10

* :release:`0.12.9 <2025-07-18>`
* :support:`105` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.9

* :release:`0.12.8 <2025-06-04>`
* :bug:`-` Correction de la procedure de fin du filewatcher.
* :bug:`102` Correction du calcul des chemins par le filewatcher.
* :bug:`103` Correction de l'utilitaire ``updateconf`` qui prend correctement en
  compte la configuration du filewatcher.

* :release:`0.12.7 <2025-05-21>`
* :bug:`-` Correction d'un bug causant le paramètre ``TransferHome`` du fichier
  de configuration .ini de ne pas être correctement pris en compte. Celui-ci était
  systématiquement remplacé par le chemin du dossier courant, ce qui affectait
  ensuite le calcul de tous les chemins de fichiers.

* :release:`0.12.6 <2025-04-29>`
* :support:`99` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.6.
* :bug:`-` Correction d'un bug dans la numérotation des version de bases de données.
  Les bases de données créées par Waarp Transfer avaient leur versions incorrectement
  mise à "dev". Cela rendait toute migration de ces bases de données impossible via
  la commande *"migrate"*. Ce numéro de version est désormais correctement renseigné
  par Waarp Transfer à l'initialisation de la base de données. Pour les bases de
  données existantes, il sera nécessaire pour les utilisateurs souhaitant faire
  une migration d'aller manuellement changer le numéro de version en base de données
  avant de faire la migration (et uniquement juste avant la migration).

* :release:`0.12.5 <2025-04-18>`
* :support:`97` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.5.

* :release:`0.12.4 <2025-04-16>`
* :support:`95` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.4.

* :release:`0.12.3 <2025-04-03>`
* :support:`94` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.3.
* :bug:`-` Les commande terminal ``server add`` et ``server delete``, qui auraient
  dû être ajoutée en 0.12.1 avec la levée des restrictions sur les serveurs locaux
  ajoutées, sont maintenant utilisables.

* :release:`0.12.1 <2025-03-13>`
* :support:`93` Mise à niveau de la dépendance "waarp-gateway" à la version 0.12.1.
  Pour plus de clarté, les versions de Waarp Transfer coïncideront désormais avec
  leur version de Waarp Gateway équivalente.
* :support:`-` Les restrictions sur la création/suppression de serveurs et
  clients R66 ont été levées. Il est désormais possible d'ajouter et supprimer
  à loisir des serveurs et clients R66 ou R66-TLS à une instance de Waarp Transfer.
* :support:`-` Les options de transfert ``--blocksize``, ``--block-checksum``,
  ``--no-block-checksum`` et ``--hash`` (ainsi que leur champs équivalents dans
  l'API REST, et dans le fichier de configuration du *filewatcher*) ont été
  retirés. Ceux-ci n'étaient pas utilisés, et leur suppression a permis de
  grandement simplifier le code de l'application. Il reste possible de fixer ces
  paramètres au niveau des partenaires, des serveurs et des clients.
* :bug:`-` La commande de transfer synchrone ``get`` ne retourne désormais plus
  d'erreur lorsqu'il n'y a pas de fichier à récupérer (c-à-d lorsqu'aucun fichier
  ne correspond au pattern donné). Un message dans la sortie standard indiquera
  qu'aucun fichier n'a été trouvé, mais l'exécutable retournera un code d'exécution
  de 0 (pas d'erreur).

* :release:`0.4.5 <2025-01-27>`
* :support:`88` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.6
* :bug:`90` Ajout des status CANCELED/ERROR/DONE pour le filtrage des transferts.
* :bug:`-`  Correction de l'affichage des transferts.
* :bug:`89` Le filewatcher enlève désormais correctement les slashes `/` au
  début des chemins de fichier distants sous Windows.
* :bug:`91` Les commandes de transfert direct "put" et "get" transmettent
  désormais des traps SNMP en cas d'erreur (si SNMP est configuré).
* :bug:`-` Correction d'un bug causant un crash du serveur SNMP à la réception d'une requête.

* :release:`0.4.4 <2025-01-17>`
* :bug:`86` Correction du traitement des chemins absolus sous Windows
* :support:`85` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.5

* :release:`0.4.3 <2024-12-12>`
* :support:`83` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.4

* :release:`0.4.2 <2024-12-12>`
* :bug:`82` Correction de bugs de traitements des fichiers par le filewatcher
* :support:`81` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.3
* :bug:`80` Correction de la détection des fichiers pour les commandes lls/put avec un chemin absolu
* :bug:`79` Correction de la détection du client par défaut pour les commandes get/put

* :release:`0.4.1 <2024-11-28>`
* :support:`78` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.2
* :support:`76` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.1
* :bug:`75` Correction de la détection des fichiers pour les commandes lls/put avec un chemin absolu
* :bug:`74` Correction de la détection du client par défaut pour les commandes get/put

* :release:`0.4.0 <2024-10-17>`
* :support:`68` Mise à niveau de la dépendance "waarp-gateway" à la version 0.11.0
* :bug:`69` Génération et publication d'images Docker
* :bug:`70` Correction du chemin distant dans les transferts par filewatcher

* :release:`0.3.5 <2024-08-07>`
* :bug:`65` Correction de l'initialisation du filewatcher

* :release:`0.3.4 <2024-02-22>`
* :bug:`64` ci: Restauration du support de Windows 2003 server en figeant la Go à la version 1.20 (CI)
* :bug:`62` Correction du parsing des options --partner et --login dans les commandes put/get

* :release:`0.3.3 <2024-02-22>`
* :bug:`60` Correction du parsing de l'option --to dans les commandes put/get
* :bug:`59` fix:Correction de l'initialisation de la configuration TLS pour les partenaires r66
  avec la configuration IsTLS:true

* :release:`0.3.2 <2024-02-21>`
* :bug:`56` Les commandes put/get utilisent le basename du fichier envoye pour la reception. 
  L'option --out est ignoree si plusieurs fichiers sont envoyes avec la meme commande.
* :bug:`54` Les commandes put/get envoie 1 transfert en parallele par defaut.
* :bug:`55` Correction de la connection a un partenaire r66-tls

* :release:`0.3.1 <2024-02-14>`
* :bug:`52` Fix log level for client commands
* :bug:`51` Correction de la prise en compte des jokers lors des commandes transfer put/get

* :release:`0.3.0 <2023-12-21>`
* :bug:`45` Correction de l'utilitaire de mise à jour de la configuration

* :release:`0.2.0 <2023-06-02>`
* :bug:`34` Correction du script postinstall des packages
* :bug:`36` Correction de la commande ``ls`` qui se connecte maintenant correctement à un partenaire TLS.
* :bug:`30` Correction du filewatcher qui lance maintenant correctement les transferts.
* :bug:`32` Correction d'une erreur de chemin causant une erreur lors de transferts
  avec waarp-r66.
* :feature:`25` Ajout des commandes ``get`` et ``put`` pour l'exécution de transferts
  synchrones.

* :release:`0.1.1 <2023-03-17>`
* :bug:`28` Correction d'une erreur du client R66 causant la réutilisation par
  celui-ci d'anciennes connexions déjà fermées en place et lieu de l'ouverture
  de nouvelles connexions, causant par conséquent l'échec du transfert.
* :bug:`27` Correction d'une erreur de la commande ``transfer run`` forçant la
  commande à retourner une erreur malgré le succès du transfert.

* :release:`0.1.0 <2022-07-25>`
* :feature:`-` Première version publiée

